Package org.silverpeas.mobile.client.apps.formsonline

## Class FormsOnlineApp

- java.lang.Object
- - org.silverpeas.mobile.client.common.app.App
  - - org.silverpeas.mobile.client.apps.formsonline.FormsOnlineApp

- All Implemented Interfaces:
    `com.google.gwt.event.shared.EventHandler`, `FormsOnlineAppEventHandler`, `NavigationEventHandler`, `AppEventHandler`

      public class FormsOnlineApp
      extends App
      implements FormsOnlineAppEventHandler, NavigationEventHandler

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.mobile.client.common.app.App

      `container`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FormsOnlineApp()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `appInstanceChanged​(NavigationAppInstanceChangedEvent event)` |
    `void` | `formNotSaved​(int error)` |
    `void` | `formSaved()` |
    `void` | `loadFormOnline​(FormOnlineLoadEvent event)` | Loads one form for create a new request.
    `void` | `loadFormOnlineAsReceiver​(FormOnlineAsReceiverLoadEvent event)` | Loads all requests of selected form where the current user is receiver.
    `void` | `loadFormRequest​(FormsOnlineLoadRequestEvent loadEvent)` | Loads a form request.
    `void` | `loadFormsOnline​(FormsOnlineLoadEvent event)` | Loads all forms published.
    `void` | `loadFormsOnlineAsReceiver​(FormsOnlineAsReceiverLoadEvent formsOnlineAsReceiverLoadEvent)` | Loads all forms where the current user is receiver.
    `void` | `loadMyRequests​(FormOnlineMyRequestLoadEvent formOnlineMyRequestLoadEvent)` | Load all requests created by the current user.
    `void` | `loadUserField​(FormOnlineLoadUserFieldEvent event)` |
    `void` | `saveForm​(FormSaveEvent formSaveEvent)` | Save new request.
    `void` | `showContent​(NavigationShowContentEvent event)` |
    `void` | `start()` |
    `void` | `stop()` |
    `void` | `validationRequest​(FormsOnlineValidationRequestEvent event)` |

    - ### Methods inherited from class org.silverpeas.mobile.client.common.app.App

      `getApplicationInstance, getAppName, getMainPage, isStopLoading, receiveEvent, setApplicationInstance, setMainPage, setStopLoading, startWithContent, stopLoadingDataEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FormsOnlineApp

          public FormsOnlineApp()

  - ### Method Detail

    - #### start

          public void start()

      Overrides:
        `start` in class `App`

    - #### stop

          public void stop()

      Overrides:
        `stop` in class `App`

    - #### loadFormsOnline

          public void loadFormsOnline​(FormsOnlineLoadEvent event)

      Loads all forms published.
      Specified by:
        `loadFormsOnline` in interface `FormsOnlineAppEventHandler`
      Parameters:
        `event` -

    - #### loadFormOnline

          public void loadFormOnline​(FormOnlineLoadEvent event)

      Loads one form for create a new request.
      Specified by:
        `loadFormOnline` in interface `FormsOnlineAppEventHandler`
      Parameters:
        `event` -

    - #### saveForm

          public void saveForm​(FormSaveEvent formSaveEvent)

      Save new request.
      Specified by:
        `saveForm` in interface `FormsOnlineAppEventHandler`
      Parameters:
        `formSaveEvent` -

    - #### formSaved

          public void formSaved()

    - #### formNotSaved

          public void formNotSaved​(int error)

    - #### loadUserField

          public void loadUserField​(FormOnlineLoadUserFieldEvent event)

      Specified by:
        `loadUserField` in interface `FormsOnlineAppEventHandler`

    - #### loadFormsOnlineAsReceiver

          public void loadFormsOnlineAsReceiver​(FormsOnlineAsReceiverLoadEvent formsOnlineAsReceiverLoadEvent)

      Loads all forms where the current user is receiver.
      Specified by:
        `loadFormsOnlineAsReceiver` in interface `FormsOnlineAppEventHandler`
      Parameters:
        `formsOnlineAsReceiverLoadEvent` -

    - #### loadFormOnlineAsReceiver

          public void loadFormOnlineAsReceiver​(FormOnlineAsReceiverLoadEvent event)

      Loads all requests of selected form where the current user is receiver.
      Specified by:
        `loadFormOnlineAsReceiver` in interface `FormsOnlineAppEventHandler`
      Parameters:
        `event` -

    - #### validationRequest

          public void validationRequest​(FormsOnlineValidationRequestEvent event)

      Specified by:
        `validationRequest` in interface `FormsOnlineAppEventHandler`

    - #### loadMyRequests

          public void loadMyRequests​(FormOnlineMyRequestLoadEvent formOnlineMyRequestLoadEvent)

      Load all requests created by the current user.
      Specified by:
        `loadMyRequests` in interface `FormsOnlineAppEventHandler`
      Parameters:
        `formOnlineMyRequestLoadEvent` -

    - #### loadFormRequest

          public void loadFormRequest​(FormsOnlineLoadRequestEvent loadEvent)

      Loads a form request.
      Specified by:
        `loadFormRequest` in interface `FormsOnlineAppEventHandler`
      Parameters:
        `loadEvent` -

    - #### appInstanceChanged

          public void appInstanceChanged​(NavigationAppInstanceChangedEvent event)

      Specified by:
        `appInstanceChanged` in interface `NavigationEventHandler`

    - #### showContent

          public void showContent​(NavigationShowContentEvent event)

      Specified by:
        `showContent` in interface `NavigationEventHandler`
      Overrides:
        `showContent` in class `App`